import type { _NSObject } from "../Foundation/NSObject.js";
import type { _CKRecordZoneID } from "./CKRecordZoneID.js";
import type { CKSyncEnginePendingDatabaseChangeType } from "./CKSyncEnginePendingDatabaseChangeType.js";
export declare class _CKSyncEnginePendingDatabaseChange extends _NSObject {
    static alloc(): _CKSyncEnginePendingDatabaseChange;
    static new(): _CKSyncEnginePendingDatabaseChange;
    init(): _CKSyncEnginePendingDatabaseChange;
    zoneID(): _CKRecordZoneID;
    type(): CKSyncEnginePendingDatabaseChangeType;
}
